# TdApi.Call (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Call

Package it.tdlight.jni

# Class TdApi.Call

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Call

Enclosing class:
  TdApi

    public static class TdApi.Call
    extends TdApi.Object

Describes a call.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `id` | Call identifier, not persistent.
`boolean` | `isOutgoing` | True, if the call is outgoing.
`boolean` | `isVideo` | True, if the call is a video call.
`TdApi.CallState` | `state` | Call state.
`long` | `userId` | Peer user identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Call()` | Describes a call.
`Call​(int id, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)` | Describes a call.
`Call​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Call identifier, not persistent.

### userId

public long userId
Peer user identifier.

### isOutgoing

public boolean isOutgoing
True, if the call is outgoing.

### isVideo

public boolean isVideo
True, if the call is a video call.

### state

public TdApi.CallState state
Call state.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Call

public Call()
Describes a call.

### Call

public Call​(int id, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)
Describes a call.

Parameters:
  `id` - int Call identifier, not persistent.
  `userId` - long Peer user identifier.
  `isOutgoing` - boolean True, if the call is outgoing.
  `isVideo` - boolean True, if the call is a video call.
  `state` - CallState Call state.

### Call

public Call​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`